Loading...
Searching...
No Matches
RestClient::RestPingPollOperation Class Reference

REST ping polling class. More...

Inheritance diagram for RestClient::RestPingPollOperation:
[legend]

## Public Member Functions

| constructor (AbstractPollOperation poller)
| Creates the object with the send/receive poller.
*hash< SocketPollInfo > | continuePoll ()
| Returns a hash to be used for I/O polling or NOTHING in case the poll operation is complete.
string | getGoal ()
| Returns the goal.
string | getState ()
| Returns the current state.
bool | goalReached ()
| Returns True when the goal as been reached.

## Protected Member Functions

Mutex | m ()
| Lock for atomicity.

## Protected Attributes

bool | goal_reached = False
| Goal reached flag.
AbstractPollOperation | poller
| The polling object.

## Detailed Description

REST ping polling class.

Ensures a 200 response to the polling send/receive operation

## Member Function Documentation

## getGoal()

string RestClient::RestPingPollOperation::getGoal | ( |  | ) |

virtual

Returns the goal.

Returns
  the goal set in the constructor

Implements Qore::AbstractPollOperation.

## getState()

string RestClient::RestPingPollOperation::getState | ( |  | ) |

virtual

Returns the current state.

Returns
  the current state

Implements Qore::AbstractPollOperation.

## goalReached()

bool RestClient::RestPingPollOperation::goalReached | ( |  | ) |

virtual

Returns True when the goal as been reached.

Returns
  True when the goal as been reached

Implements Qore::AbstractPollOperation.